Bug Hunting Session
Bug 67707 - crash processing keystroke with sidebar open
Summary: crash processing keystroke with sidebar open
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other All
: medium critical
Assignee: Not Assigned
URL:
Whiteboard: target:4.2.0 target:4.1.2
Keywords:
Depends on:
Blocks: mab4.1
  Show dependency treegraph
 
Reported: 2013-08-03 11:36 UTC by Michael Meeks
Modified: 2013-08-19 16:55 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2013-08-03 11:36:00 UTC
Have an impress document open with the sidebar open, create or load a new writer document - bang :-)

Thread 1 (Thread 0xb3f4c780 (LWP 21929)):
#0  0xb79144d4 in SfxDispatcher::IsLocked (this=0x0) at /data/opt/libreoffice/libreoffice-4-1/sfx2/source/control/dispatch.cxx:171
#1  0xb791655b in SfxDispatcher::Execute (this=0x0, nSlot=27014, eCall=6, pArgs=0x0, nModi=0, pInternalArgs=0x0)
    at /data/opt/libreoffice/libreoffice-4-1/sfx2/source/control/dispatch.cxx:1038
#2  0xad52c710 in sd::slidesorter::controller::SelectionFunction::KeyInput (this=0xa6ebe20, rEvent=...)
    at /data/opt/libreoffice/libreoffice-4-1/sd/source/ui/slidesorter/controller/SlsSelectionFunction.cxx:446
#3  0xad628b97 in sd::ViewShell::KeyInput (this=0x8dfb3c0, rKEvt=..., pWin=0x8dfb538)
    at /data/opt/libreoffice/libreoffice-4-1/sd/source/ui/view/viewshel.cxx:457
#4  0xad61f59d in sd::Window::KeyInput (this=0x8dfb538, rKEvt=...) at /data/opt/libreoffice/libreoffice-4-1/sd/source/ui/view/sdwindow.cxx:252
#5  0xb6ca6715 in ImplHandleKey (pWindow=pWindow@entry=0x8696e60, nSVEvent=4, nKeyCode=1280, nCharCode=0, nRepeat=0, bForward=1 '\001')
    at /data/opt/libreoffice/libreoffice-4-1/vcl/source/window/winproc.cxx:1099
#6  0xb6ca8fcc in ImplWindowFrameProc (pWindow=0x8696e60, nEvent=5, pEvent=0xbfffe434)
    at /data/opt/libreoffice/libreoffice-4-1/vcl/source/window/winproc.cxx:2492
#7  0xb365cefe in SalFrame::CallCallback (this=0x8697120, nEvent=5, pEvent=0xbfffe434)
    at /data/opt/libreoffice/libreoffice-4-1/vcl/inc/salframe.hxx:243
#8  0xb36578d6 in GtkSalFrame::doKeyCallback (this=0x8697120, state=16, keyval=65293, hardware_keycode=36, time=1006131320, aOrigCode=0, bDown=
    true, bSendRelease=false) at /data/opt/libreoffice/libreoffice-4-1/vcl/unx/gtk/window/gtksalframe.cxx:439
#9  0xb365c9bb in GtkSalFrame::signalKey (pEvent=0x807f600, frame=0x8697120)
    at /data/opt/libreoffice/libreoffice-4-1/vcl/unx/gtk/window/gtksalframe.cxx:3567
#10 0xb31b07b2 in _gtk_marshal_BOOLEAN__BOXED (closure=closure@entry=0x8668cb0, return_value=return_value@entry=0xbfffe620, 
    n_param_values=n_param_values@entry=2, param_values=param_values@entry=0xbfffe690, invocation_hint=invocation_hint@entry=0xbfffe63c, 
    marshal_data=marshal_data@entry=0x0) at gtkmarshalers.c:86
#11 0xb5f448c6 in g_closure_invoke (closure=0x8668cb0, return_value=return_value@entry=0xbfffe620, n_param_values=n_param_values@entry=2, 
    param_values=param_values@entry=0xbfffe690, invocation_hint=invocation_hint@entry=0xbfffe63c) at gclosure.c:777
#12 0xb5f56b47 in signal_emit_unlocked_R (node=node@entry=0x80a6408, detail=detail@entry=0, instance=instance@entry=0x862c438, 
    emission_return=emission_return@entry=0xbfffe76c, instance_and_params=instance_and_params@entry=0xbfffe690) at gsignal.c:3584
#13 0xb5f5e9e3 in g_signal_emit_valist (instance=instance@entry=0x862c438, signal_id=signal_id@entry=42, detail=detail@entry=0, var_args=
    0xbfffe8b0 "\334\350\377\277", var_args@entry=0xbfffe8ac "") at gsignal.c:3338
#14 0xb5f5ef23 in g_signal_emit (instance=instance@entry=0x862c438, signal_id=42, detail=detail@entry=0) at gsignal.c:3384
#15 0xb32e89cb in gtk_widget_event_internal (widget=widget@entry=0x862c438 [GtkWindow], event=event@entry=0x807f600) at gtkwidget.c:5017
#16 0xb32e8d0e in IA__gtk_widget_event (widget=widget@entry=0x862c438 [GtkWindow], event=event@entry=0x807f600) at gtkwidget.c:4814
#17 0xb31ae97c in IA__gtk_propagate_event (widget=widget@entry=0x862c438 [GtkWindow], event=event@entry=0x807f600) at gtkmain.c:2464
#18 0xb31aec40 in IA__gtk_main_do_event (event=0x807f600) at gtkmain.c:1685
#19 0xb30174c8 in gdk_event_dispatch (source=source@entry=0x8081b10, callback=0x0, user_data=0x0) at gdkevents-x11.c:2403
#20 0xb5e7e123 in g_main_dispatch (context=0x8081be0, context@entry=0x84f9ad8) at gmain.c:3054
#21 g_main_context_dispatch (context=context@entry=0x8081be0) at gmain.c:3630
#22 0xb5e7e4c0 in g_main_context_iterate (context=context@entry=0x8081be0, block=block@entry=0, dispatch=dispatch@entry=1, self=<optimized out>)
    at gmain.c:3701
#23 0xb5e7e5a1 in g_main_context_iteration (context=0x8081be0, may_block=0) at gmain.c:3762
#24 0xb36472e9 in GtkData::Yield (this=0x805bde0, bWait=true, bHandleAllCurrentEvents=false)
    at /data/opt/libreoffice/libreoffice-4-1/vcl/unx/gtk/app/gtkdata.cxx:574
#25 0xb364779b in GtkInstance::Yield (this=0x805bd98, bWait=true, bHandleAllCurrentEvents=false)
    at /data/opt/libreoffice/libreoffice-4-1/vcl/unx/gtk/app/gtkinst.cxx:405
#26 0xb6a52aee in ImplYield (i_bWait=true, i_bAllEvents=false) at /data/opt/libreoffice/libreoffice-4-1/vcl/source/app/svapp.cxx:422
#27 0xb6a50878 in Application::Yield (i_bAllEvents=false) at /data/opt/libreoffice/libreoffice-4-1/vcl/source/app/svapp.cxx:456
#28 0xb6a508a9 in Application::Execute () at /data/opt/libreoffice/libreoffice-4-1/vcl/source/app/svapp.cxx:401
#29 0xb7f54a86 in desktop::Desktop::Main (this=0xbfffee2c) at /data/opt/libreoffice/libreoffice-4-1/desktop/source/app/app.cxx:1720
#30 0xb6a56990 in ImplSVMain () at /data/opt/libreoffice/libreoffice-4-1/vcl/source/app/svmain.cxx:162
#31 0xb6a56a62 in SVMain () at /data/opt/libreoffice/libreoffice-4-1/vcl/source/app/svmain.cxx:198
#32 0xb7f70c29 in soffice_main () at /data/opt/libreoffice/libreoffice-4-1/desktop/source/app/sofficemain.cxx:82
#33 0x080485ac in sal_main () at /data/opt/libreoffice/libreoffice-4-1/desktop/source/app/main.c:48
#34 main (argc=2, argv=0xbfffef54) at /data/opt/libreoffice/libreoffice-4-1/desktop/source/app/main.c:47
Comment 1 Michael Meeks 2013-08-03 11:38:20 UTC
Potential avoidance in: https://gerrit.libreoffice.org/5265 review appreciated.
Comment 2 Michael Meeks 2013-08-03 11:47:46 UTC
Possibly I had to alt-tab between impress and the new writer document while it was loading (or somesuch) :-)
Comment 3 Commit Notification 2013-08-06 14:59:07 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=457bc1ebdf327685fcf2ccac8d6c87c839c43200

fdo#67707 - avoid crash with sidebar when switching to writer from impress.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-08-19 16:34:46 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6ce6b25ef4fbca3dae71b40e07176b0eeb8e1ca7&h=libreoffice-4-1

fdo#67707 - avoid crash with sidebar when switching to writer from impress.


It will be available in LibreOffice 4.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Michael Meeks 2013-08-19 16:55:23 UTC
pushed to -4-1 :-) thanks.